SpanFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.SpanFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class SpanFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.SpanFilter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CachingSpanFilter, SpanQueryFilter

    public abstract class SpanFilter

extends Filter

Abstract base class providing a mechanism to restrict searches to a subset of an index and also maintains and returns position information. This is useful if you want to compare the positions from a SpanQuery with the positions of items in a filter. For instance, if you had a SpanFilter that marked all the occurrences of the word "foo" in documents, and then you entered a new SpanQuery containing bar, you could not only filter by the word foo, but you could then compare position information for post processing.

See Also:
  Serialized Form

Constructor Summary
`SpanFilter()`

Method Summary
`abstract SpanFilterResult` | `bitSpans(IndexReader reader)` Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.

Methods inherited from class org.apache.lucene.search.Filter
`bits, getDocIdSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilter

    public SpanFilter()

Method Detail

### bitSpans

    public abstract SpanFilterResult bitSpans(IndexReader reader)
                                       throws IOException

  Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.

  Parameters:
    `reader` - The `IndexReader` to load position and DocIdSet information from
  Returns:
    A `SpanFilterResult`
  Throws:
    `IOException` - if there was an issue accessing the necessary information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.